Subject: Re: [PATCH] fast-(import|export): improve on the signature algorithm name

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Apr 2025 16:25:38 -0700

Christian Couder <[email-masked]> writes:

> This is a follow up from cc/signed-fast-export-import that was merged
> by 01d17c0530 (Merge branch 'cc/signed-fast-export-import', 2025-03-29)
> and introduced the support for signed commits.

I've looked at it and tried to test the result of merging it to
'seen' locally, but for now I'll eject it from 'seen' before pushing
today's integration result out, as the local tests seem to be
failing (and even though I haven't had time to positively identify
this patch is the culprit, as nothing else is affecting fast-export,
I'd need to move with an educated guess and then dig deeper later to
keep the other topics moving).

Test Summary Report
-------------------
t9350-fast-export.sh                             (Wstat: 256 (exited 1) Tests: 65 Failed: 11)
  Failed tests:  24-25, 29, 31, 33, 35-37, 56-58
  Non-zero exit status: 1
Files=1021, Tests=31986, 646 wallclock secs (16.20 usr  5.76 sys + 1053.65 cusr 8317.02 csys = 9392.63 CPU)
Result: FAIL
gmake[1]: *** [Makefile:78: prove] Error 1
gmake[1]: Leaving directory '/usr/local/google/home/jch/w/buildfarm/seen/t'
gmake: *** [Makefile:3287: test] Error 2